## org.jfree.ui.about
Class ContributorsTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          org.jfree.ui.about.ContributorsTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class ContributorsTableModel

extends javax.swing.table.AbstractTableModel

A table model containing a list of contributors to a project.

Used in the ContributorsPanel class.

Author:
  David Gilbert
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`ContributorsTableModel(java.util.List contributors)` Constructs a ContributorsTableModel.

Method Summary
`int` `getColumnCount()` Returns the number of columns in the table model.
`java.lang.String` `getColumnName(int column)` Returns the name of a column in the table model.
`int` `getRowCount()` Returns the number of rows in the table model.
`java.lang.Object` `getValueAt(int row, int column)` Returns the value for a cell in the table model.

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContributorsTableModel

    public ContributorsTableModel(java.util.List contributors)

  Constructs a ContributorsTableModel.

  Parameters:
    `contributors` - the contributors.

Method Detail

### getRowCount

    public int getRowCount()

  Returns the number of rows in the table model.

  Returns:
    The number of rows.

### getColumnCount

    public int getColumnCount()

  Returns the number of columns in the table model. In this case, there are always two columns (name and e-mail address).

  Returns:
    The number of columns in the table model.

### getColumnName

    public java.lang.String getColumnName(int column)

  Returns the name of a column in the table model.

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`
  Parameters:
    `column` - the column index (zero-based).
  Returns:
    the name of the specified column.

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int column)

  Returns the value for a cell in the table model.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    the value.